# What is Nebular?

Nebular is a set of essential modules for your next Angular application.

The purpose of the modules is to solve generic tasks faster and more efficient so that you can focus on business logic and leave routine behind.
<hr>

## What's included

Nebular modules are distributed as separated `npm` packages, here's a list of currently available:

- Nebular Theme `@nebular/theme`
  - Theme System - set of SCSS rules, which allows you to modify application look & feel by changing variables, with fewer custom styles.
  - UI Kit - pure Angular components with two style themes and no 3rd party dependencies.
  - Server-side rendering compatibility!
  - Right-to-left writing system support for all components.
- Nebular Auth `@nebular/auth`
  - Authentication components (login/register/reset password/restore password).
  - Multiple configurable authentication Strategies (backend connectors).
  - Helpers for token management (storing, passing with HTTP requests, etc).
- Nebular Security `@nebular/security` 
  - module for roles and permissions management.
- Nebular Bootstrap `@nebular/bootstrap`
  - Style overriding for Bootstrap, so that the application has a consistent look & feel across libraries.
- Admin dashboard starter kit <a href="https://github.com/akveo/ngx-admin" target="_blank">ngx-admin</a> - Angular application based on Nebular modules with beautiful IOT components.

Other ideas
- *@nebular/dashboard* - module for draggable/resizable dashboards creation.
- *@nebular/data* - application data & state management.
<hr>

## The purpose

There are a lot of awesome front-end frameworks out there these days. 
They provide a massive quantity of useful features making our lives more comfortable. 
Our intention is not to create a new one as we are pretty much aware of the complexity and amount of work developers put on their creations. 
But as developers, we feel that nowadays front-end development is disjointed. 
You have to search for libraries, go through the different installation process, everything looks different, and sometimes it's just annoying that you can't just sit and start going. 
That's why we are on a mission to assemble together the most useful modules and libraries, join them with a unified application and graphical interface creating a great toolkit for easier setup.
<hr>

## Assumptions

This documentation assumes that you are already familiar with JavaScript/TypeScript, Angular, CSS and Bootstrap.

## Have questions?
Didn't find something here? Look through the <a href="https://github.com/akveo/nebular/issues" target="_blank">issues</a> or simply drop us a line at <a href="mailto:contact@akveo.com">contact@akveo.com</a>.
